# Accounting API — Company Info

> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Company-Info

This document contains every operation on the `Company Info` resource.

---

# Get company info

> **Accounting API** · `GET /accounting/company-info`
> Canonical URL: https://developers.apideck.com/apis/accounting/reference#tag/Company-Info/operation/companyInfoOne

Get company info

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `raw` | query | `boolean` | No | Include raw response. Mostly used for debugging purposes |
| `x-apideck-consumer-id` | header | `string` | Yes | ID of the consumer which you want to get or push data from |
| `x-apideck-app-id` | header | `string` | Yes | The ID of your Unify application |
| `x-apideck-service-id` | header | `string` | No | Provide the service id you want to call (e.g., pipedrive). Only needed when a consumer has activated multiple integrations for a Unified API. |
| `x-apideck-company-id` | header | `string` | No | The ID of the company to scope requests to. For connectors that support multi-company, this overrides the default company configured in connection settings. |
| `fields` | query | `string` | No | The 'fields' parameter allows API users to specify the fields they want to include in the API response. If this parameter is not present, the API will return all available fields. If this parameter is present, only the fields specified in the comma-separated string will be included in the response. Nested properties can also be requested by using a dot notation. <br /><br />Example: `fields=name,email,addresses.city`<br /><br />In the example above, the response will only include the fields "name", "email" and "addresses.city". If any other fields are available, they will be excluded. |

### Responses

#### 200 — CompanyInfo

- `status_code` `integer` **required** — HTTP Response Status Code — example: `200`
- `status` `string` **required** — HTTP Response Status — example: `OK`
- `service` `string` **required** — Apideck ID of service provider — example: `xero`
- `resource` `string` **required** — Unified API resource name — example: `company-info`
- `operation` `string` **required** — Operation performed — example: `one`
- `data` `object` **required**
  - `id` `string` — A unique identifier for an object. — example: `12345`
  - `company_name` `string` — The name of the company. — example: `SpaceX`
  - `status` `string` — Based on the status some functionality is enabled or disabled. — enum: `active`, `inactive` — example: `OK`
  - `legal_name` `string` — The legal name of the company — example: `SpaceX Inc.`
  - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
  - `sales_tax_number` `string` — example: `111.222.333`
  - `automated_sales_tax` `boolean` — Whether sales tax is calculated automatically for the company
  - `sales_tax_enabled` `boolean` — Whether sales tax is enabled for the company
  - `default_sales_tax` `object`
    - `id` `string` — ID assigned to identify this tax rate. — example: `1234`
    - `display_id` `string` — Display ID of the tax rate — example: `12345`
    - `name` `string` — Name assigned to identify this tax rate. — example: `GST on Purchases`
    - `code` `string` — Tax code assigned to identify this tax rate. — example: `ABN`
    - `description` `string` — Description of tax rate — example: `Reduced rate GST Purchases`
    - `effective_tax_rate` `number` — Effective tax rate — example: `10`
    - `country` `string` — Country code according to ISO 3166-1 alpha-2. — example: `US`
    - `total_tax_rate` `number` — Not compounded sum of the components of a tax rate — example: `10`
    - `tax_payable_account_id` `string` — Unique identifier for the account for tax collected. — example: `123456`
    - `tax_remitted_account_id` `string` — Unique identifier for the account for tax remitted. — example: `123456`
    - `components` `array of any`
      - `id` `string` — example: `10`
      - `name` `string` — example: `GST`
      - `rate` `number` — example: `10`
      - `compound` `boolean` — example: `true`
    - `type` `string` — Tax type used to indicate the source of tax collected or paid — example: `NONE`
    - `report_tax_type` `string` — Report Tax type to aggregate tax collected or paid for reporting purposes — example: `NONE`
    - `original_tax_rate_id` `string` — ID of the original tax rate from which the new tax rate is derived. Helps to understand the relationship between corresponding tax rate entities. — example: `12345`
    - `status` `string` — Tax rate status — enum: `active`, `inactive`, `archived` — example: `OK`
    - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
    - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
    - `updated_by` `string` — The user who last updated the object. — example: `12345`
    - `created_by` `string` — The user who created the object. — example: `12345`
    - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
    - `pass_through` `array of object` — The pass_through property allows passing service-specific, custom data or structured modifications in request body when creating or updating resources.
      - `service_id` `string` **required** — Identifier for the service to which this pass_through should be applied.
      - `operation_id` `string` — Optional identifier for a workflow operation to which this pass_through should be applied. This is useful for Unify calls that are making more than one downstream request.
      - `extend_object` `object` — Simple object allowing any properties for direct extension.
      - `extend_paths` `array of object` — Array of objects for structured data modifications via paths.
        - `path` `string` **required** — JSONPath string specifying where to apply the value. — example: `$.nested.property`
        - `value` `any` **required** — The value to set at the specified path, can be any type.
    - `subsidiaries` `array of any` — The subsidiaries this belongs to.
      - `id` `string` — The ID of the subsidiary.
    - `custom_fields` `array of object`
      - `id` `string` — Unique identifier for the custom field. — example: `2389328923893298`
      - `name` `string` — Name of the custom field. — example: `employee_level`
      - `description` `string` — More information about the custom field — example: `Employee Level`
      - `value` `string | number | boolean | object | array of string | number | boolean | object`
        - One of:
          - Option 1: string
          - Option 2: number
          - Option 3: boolean
          - Option 4: object
            - _(schema continues — truncated at depth 6)_

          - Option 5: array of string | number | boolean | object
  - `currency` `string` — Indicates the associated currency for an amount of money. Values correspond to [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217). — enum: `UNKNOWN_CURRENCY`, `AED`, `AFN`, `ALL`, `AMD`, `ANG`, `AOA`, `ARS`, `AUD`, `AWG`, `AZN`, `BAM`, `BBD`, `BDT`, `BGN`, `BHD`, `BIF`, `BMD`, `BND`, `BOB`, `BOV`, `BRL`, `BSD`, `BTN`, `BWP`, `BYR`, `BZD`, `CAD`, `CDF`, `CHE`, `CHF`, `CHW`, `CLF`, `CLP`, `CNY`, `COP`, `COU`, `CRC`, `CUC`, `CUP`, `CVE`, `CZK`, `DJF`, `DKK`, `DOP`, `DZD`, `EGP`, `ERN`, `ETB`, `EUR`, `FJD`, `FKP`, `GBP`, `GEL`, `GHS`, `GIP`, `GMD`, `GNF`, `GTQ`, `GYD`, `HKD`, `HNL`, `HRK`, `HTG`, `HUF`, `IDR`, `ILS`, `INR`, `IQD`, `IRR`, `ISK`, `JMD`, `JOD`, `JPY`, `KES`, `KGS`, `KHR`, `KMF`, `KPW`, `KRW`, `KWD`, `KYD`, `KZT`, `LAK`, `LBP`, `LKR`, `LRD`, `LSL`, `LTL`, `LVL`, `LYD`, `MAD`, `MDL`, `MGA`, `MKD`, `MMK`, `MNT`, `MOP`, `MRO`, `MUR`, `MVR`, `MWK`, `MXN`, `MXV`, `MYR`, `MZN`, `NAD`, `NGN`, `NIO`, `NOK`, `NPR`, `NZD`, `OMR`, `PAB`, `PEN`, `PGK`, `PHP`, `PKR`, `PLN`, `PYG`, `QAR`, `RON`, `RSD`, `RUB`, `RWF`, `SAR`, `SBD`, `SCR`, `SDG`, `SEK`, `SGD`, `SHP`, `SLL`, `SOS`, `SRD`, `SSP`, `STD`, `SVC`, `SYP`, `SZL`, `THB`, `TJS`, `TMT`, `TND`, `TOP`, `TRC`, `TRY`, `TTD`, `TWD`, `TZS`, `UAH`, `UGX`, `USD`, `USN`, `USS`, `UYI`, `UYU`, `UZS`, `VEF`, `VND`, `VUV`, `WST`, `XAF`, `XAG`, `XAU`, `XBA`, `XBB`, `XBC`, `XBD`, `XCD`, `XDR`, `XOF`, `XPD`, `XPF`, `XPT`, `XTS`, `XXX`, `YER`, `ZAR`, `ZMK`, `ZMW`, `BTC`, `ETH` — example: `USD`
  - `language` `string` — language code according to ISO 639-1. For the United States - EN — example: `EN`
  - `fiscal_year_start_month` `string` — The start month of fiscal year. — enum: `January`, `February`, `March`, `April`, `May`, `June`, `July`, `August`, `September`, `October`, `November`, `December` — example: `January`
  - `company_start_date` `string` — Date when company file was created — format: `date` — example: `2015-06-05`
  - `addresses` `array of object`
    - `id` `string` — Unique identifier for the address. — example: `123`
    - `type` `string` — The type of address. — enum: `primary`, `secondary`, `home`, `office`, `shipping`, `billing`, `work`, `other` — example: `primary`
    - `string` `string` — The address string. Some APIs don't provide structured address data. — example: `25 Spring Street, Blackburn, VIC 3130`
    - `name` `string` — The name of the address. — example: `HQ US`
    - `line1` `string` — Line 1 of the address e.g. number, street, suite, apt #, etc. — example: `Main street`
    - `line2` `string` — Line 2 of the address — example: `apt #`
    - `line3` `string` — Line 3 of the address — example: `Suite #`
    - `line4` `string` — Line 4 of the address — example: `delivery instructions`
    - `line5` `string` — Line 5 of the address — example: `Attention: Finance Dept`
    - `street_number` `string` — Street number — example: `25`
    - `city` `string` — Name of city. — example: `San Francisco`
    - `state` `string` — Name of state — example: `CA`
    - `postal_code` `string` — Zip code or equivalent. — example: `94104`
    - `country` `string` — country code according to ISO 3166-1 alpha-2. — example: `US`
    - `latitude` `string` — Latitude of the address — example: `40.759211`
    - `longitude` `string` — Longitude of the address — example: `-73.984638`
    - `county` `string` — Address field that holds a sublocality, such as a county — example: `Santa Clara`
    - `contact_name` `string` — Name of the contact person at the address — example: `Elon Musk`
    - `salutation` `string` — Salutation of the contact person at the address — example: `Mr`
    - `phone_number` `string` — Phone number of the address — example: `111-111-1111`
    - `fax` `string` — Fax number of the address — example: `122-111-1111`
    - `email` `string` — Email address of the address — example: `elon@musk.com`
    - `website` `string` — Website of the address — example: `https://elonmusk.com`
    - `notes` `string` — Additional notes — example: `Address notes or delivery instructions.`
    - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
  - `phone_numbers` `array of object`
    - `id` `string` — Unique identifier of the phone number — example: `12345`
    - `country_code` `string` — The country code of the phone number, e.g. +1 — example: `1`
    - `area_code` `string` — The area code of the phone number, e.g. 323 — example: `323`
    - `number` `string` **required** — The phone number — example: `111-111-1111`
    - `extension` `string` — The extension of the phone number — example: `105`
    - `type` `string` — The type of phone number — enum: `primary`, `secondary`, `home`, `work`, `office`, `mobile`, `assistant`, `fax`, `direct-dial-in`, `personal`, `billing`, `other` — example: `primary`
  - `emails` `array of object`
    - `id` `string` — Unique identifier for the email address — example: `123`
    - `email` `string` **required** — Email address — format: `email` — example: `elon@musk.com`
    - `type` `string` — Email type — enum: `primary`, `secondary`, `work`, `personal`, `billing`, `other` — example: `primary`
  - `custom_mappings` `object` — When custom mappings are configured on the resource, the result is included here.
  - `tracking_categories_enabled` `boolean` — Whether tracking categories are enabled for the company on transactions
  - `tracking_categories_mode` `string` — The mode of tracking categories for the company on transactions — enum: `transaction`, `line`, `both`, `disabled` — example: `disabled`
  - `row_version` `string` — A binary value used to detect updates to a object and prevent data conflicts. It is incremented each time an update is made to the object. — example: `1-12345`
  - `updated_by` `string` — The user who last updated the object. — example: `12345`
  - `created_by` `string` — The user who created the object. — example: `12345`
  - `updated_at` `string` — The date and time when the object was last updated. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
  - `created_at` `string` — The date and time when the object was created. — format: `date-time` — example: `2020-09-30T07:43:32.000Z`
- `_raw` `object` — Raw response from the integration when raw=true query param is provided

#### 400 — Bad Request

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 401 — Unauthorized

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 402 — Payment Required

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 404 — The specified resource was not found

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### 422 — Unprocessable

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

#### default — Unexpected error

> Standard error response — see [Error Responses](https://developers.apideck.com/errors)

---
